Package com.avaya.clientservices.common

## Enum SecurityPolicy

- java.lang.Object
- - java.lang.Enum<SecurityPolicy>
  - - com.avaya.clientservices.common.SecurityPolicy

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SecurityPolicy>`

      public enum SecurityPolicy
      extends java.lang.Enum<SecurityPolicy>

  The Security policy configuration for certificate revocation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BEST_EFFORT` | Enable revocation check and treat indeterminate revocation errors as non-fatal.
    `DISABLED` | Disable revocation check.
    `REQUIRED` | Enable revocation check and treat all revocation errors as fatal.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SecurityPolicy` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SecurityPolicy[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REQUIRED

          public static final SecurityPolicy REQUIRED

      Enable revocation check and treat all revocation errors as fatal.

    - #### BEST_EFFORT

          public static final SecurityPolicy BEST_EFFORT

      Enable revocation check and treat indeterminate revocation errors as non-fatal. Indeterminate errors are the errors reported when client application cannot fetch certificate revocation information from the revocation servers due to issues like server unreachable, network issues, server busy etc.

    - #### DISABLED

          public static final SecurityPolicy DISABLED

      Disable revocation check.

  - ### Method Detail

    - #### values

          public static SecurityPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecurityPolicy c : SecurityPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecurityPolicy valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null